{#
/**
 * @file
 * Template for Megamenu Dropdown component.
 *
 * Available config:
 * - container: fixed | fluid
 * - megamenu_content: Renderable content
 * - submenu: items.below from the current menu trail
 * - submenu_position: left | right | bottom
 * - megamenu_dropdown_utility_classes: An array of utility classes.
 *
 * This is a custom DROWL Base SDC (not Radix based).
 */
#}

{% set container = submenu_position == 'bottom' ? false : 'container' %}

<div class="dropdown-menu dropdown-menu--megamenu {{ megamenu_dropdown_utility_classes|join(' ') }}{% if logged_in %} contextual-region{% endif %}">
  {% if container %}
    <div class="{{ container }}">
  {% endif %}
    {% if submenu_position == 'bottom' %}
      {{ megamenu_content }}
      {% if submenu %}
        <div class="container">
          {% include 'radix:nav' with {
            items: submenu
          } %}
        </div>
      {% endif %}
    {% elseif submenu_position == 'hidden' %}
      {{ megamenu_content }}
    {% else %}
      <div class="row{% if submenu_position == 'right' %} flex-row-reverse{% endif %}">
        {% if submenu %}
          <div class="col-12 col-lg-3">
            {% include 'radix:nav' with {
              items: submenu
            } %}
          </div>
        {% endif %}
        <div class="col{% if submenu %} col-lg-9{% else %} col-lg-12{% endif %}">
          {{ megamenu_content }}
        </div>
      </div>
    {% endif %}
  {% if container %}
    </div>
  {% endif %}
</div>
